FPA_DOWNLOAD(8)

NAME
fpa_download - download to the Floating Point Accelerator

SYNOPSIS
fpa_download [ -d ] [ -r ] [ -v ]
[ -u ufile ] [ -m mfile ] [ -c cfile ]

AVAILABILITY

fpa_download applies to Sun-3 and Sun-3x systems equipped with either an FPA or FPA+.

DESCRIPTION

fpa_download writes microcode, map, and constants files to FPA and FPA+ boards. FPA requires a map file; FPA+ does not.

Root execution level is required to download (d,u,m and c options). fpa_download is called from /etc/rc.local when /dev/fpa exists.

Given no arguments, fpa_download prints whether an FPA, or FPA+ is installed.

OPTIONS

-d  Download microcode, constants, and map files. Enable default file names.

-r  Print microcode and constant revision.

-v  Verbose mode.

-u ufile
    Download microcode from ufile.

-m mfile
    Download map from mfile (FPA only).

-c cfile
    Download constants from cfile.

FILES
/dev/fpa
    device file for both FPA and FPA+.
/usr/etc/fpa/fpa_micro_bin
    default microcode file (ufile) for FPA.
/usr/etc/fpa/fpa_constants
    default constants file (cfile) for FPA
/usr/etc/fpa/fpa_micro_map
    default map file (mfile) for FPA
/usr/etc/fpa/fpa_micro_bin+
    default microcode file (ufile) for FPA+
/usr/etc/fpa/fpa_constants+
    default constants file (cfile) for FPA+

SEE ALSO
fpa(4)

DIAGNOSTICS

The following diagnostics are printed when fpa_download encounters a serious error and asks the kernel to disable the FPA. This might occur if the microcode, map, or constants files are corrupted, or if there is an FPA or system hardware problem.

FPA Download Failed - FPA ioctl failed
    An ioctl() on /dev/fpa failed, possibly due to a hung FPA pipe.

FPA Failed Download - FPA Bus Error
    Received a SIGFPE.

FPA Failed Download - Upload mismatch
    After each file is written to the FPA/FPA+, fpa_download uploads the contents of FPA memory and compares it with the source. They should always match.